# Uses of Interface
org.apache.sling.api.request.RequestParameterMap

Packages that use RequestParameterMap
Package
Description
org.apache.sling.api
org.apache.sling.api.wrappers

## Uses of RequestParameterMap in org.apache.sling.api

Methods in org.apache.sling.api that return RequestParameterMap
Modifier and Type
Method
Description
`@NotNull RequestParameterMap`
SlingHttpServletRequest.`getRequestParameterMap()`
Deprecated.
Returns a `Map` of the parameters of this request.
`@NotNull RequestParameterMap`
SlingJakartaHttpServletRequest.`getRequestParameterMap()`
Returns a `Map` of the parameters of this request.

## Uses of RequestParameterMap in org.apache.sling.api.wrappers

Methods in org.apache.sling.api.wrappers that return RequestParameterMap
Modifier and Type
Method
Description
`@NotNull RequestParameterMap`
JakartaToJavaxRequestWrapper.`getRequestParameterMap()`
`@NotNull RequestParameterMap`
JavaxToJakartaRequestWrapper.`getRequestParameterMap()`
`RequestParameterMap`
SlingHttpServletRequestWrapper.`getRequestParameterMap()`
Deprecated.
`RequestParameterMap`
SlingJakartaHttpServletRequestWrapper.`getRequestParameterMap()`